Package org.apache.sysds.runtime.instructions

## Class FEDInstructionParser

- java.lang.Object
- - org.apache.sysds.runtime.instructions.InstructionParser
  - - org.apache.sysds.runtime.instructions.FEDInstructionParser

    public class FEDInstructionParser
    extends InstructionParser

### Field Summary

Fields
`static HashMap<String,​FEDInstruction.FEDType>` `String2FEDInstructionType`

### Constructor Summary

Constructors
`FEDInstructionParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static FEDInstruction` `parseSingleInstruction​(String str)`
`static FEDInstruction` `parseSingleInstruction​(FEDInstruction.FEDType fedtype, String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.InstructionParser

`parseMixedInstructions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### String2FEDInstructionType

    public static final HashMap<String,​FEDInstruction.FEDType> String2FEDInstructionType

### Constructor Detail

#### FEDInstructionParser

    public FEDInstructionParser()

### Method Detail

#### parseSingleInstruction

    public static FEDInstruction parseSingleInstruction​(String str)

#### parseSingleInstruction

    public static FEDInstruction parseSingleInstruction​(FEDInstruction.FEDType fedtype,
                                                        String str)